Kodi 17.5.1 Crashing

Discussion in 'Development' started by JJKK, Oct 26, 2017.

  1. JJKK

    JJKK Moderator Staff Member Beta test group

    Just updated Kodi to 17.5.1. It installed fine. InstalledOne Alliance 3.1.6. It installed fine. Now Kodi will not open. I get a message App stopped. I am getting the same on both my Android boxes. HiMedia Q10 Pro and Zidoo X9S. To add insult to injury,

    I downloaded 17.4 and it won't install. I get a message: "Not compatible with my TV Box".

    I can not downgrade to 17.4. I get a message that 17.4 is not compatible with my boxes.

    Any help would be appreciated.
    Thanks..
     
  2. Mario Johnson

    Mario Johnson New Member

    My x9s was on kodi 17.4 and it updated on it's own to 17.5 and like you it won't open up. Nice to know if there's a get around this.
     
  3. JJKK

    JJKK Moderator Staff Member Beta test group

    Yes, from your Zidoo box, click on browser and go to kodi.tv then go to downloads, scroll down and select Android and click the 32 bit arm and wait for the download to complete.

    Now go to apk installer in the App draw and it should find the kodi 7a 17.5.1 apk. Click install and your good to go.

    If you do not have the APK installer app, click on downloads and install from there.
     
  4. Mario Johnson

    Mario Johnson New Member

    I will try this later, thank you much appreciated.
     

Share This Page